Skip to content
Alchemy Logo

getAssetsByOwner_v2

POST
/{apiKey}
CUs480Throughput CUs200

Returns all Solana NFTs, compressed NFTs, and (optionally) fungible tokens owned by a specific wallet address, with sorting and pagination options. Enable options.showFungible to include SPL tokens and options.showNativeBalance to include native SOL balance.

Path Parameters

stringrequireddefaults to docs-demo

For higher throughput, create your own API key

Request

stringrequired

The base-58 wallet address to retrieve all owned digital assets for.

integeroptional

The page of results to return (1-based).

integeroptional

The maximum number of assets to return per page (up to 1000).

objectoptional

Sorting configuration for ordering the returned assets.

stringoptional

The cursor for paginating backwards through the assets.

stringoptional

The cursor for paginating forwards through the assets.

objectoptional

Display and formatting options for the response.

Responses

200

A paginated list of assets owned by the specified wallet.

Was this page helpful?